secu_string.hpp File Reference
API

this file contains the definition of secu_string class, a std::string like class but allocated in secure memory More...

`#include "../my_config.h"`
`#include <string>`
`#include "integers.hpp"`
`#include "erreurs.hpp"`

Go to the source code of this file.

## Classes

class | libdar::secu_string
| class secu_string More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

this file contains the definition of secu_string class, a std::string like class but allocated in secure memory

secure memory is a allocated memory that is never swapped out (wrote to disk) the implementation relies on gcrypt_malloc_secure() call (libgcrypt) rather than relying on mlock()/munlock() posix system call. as the need for secure string is for strong encryption, there is no much interest in re-inventing the wheel as the need is dependent on gcrypt availability

Definition in file secu_string.hpp.